Package (Ant Contrib)
Keywords: net.sf.antcontrib.design.Package class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.design
Class Package

    java.lang.Object
      net.sf.antcontrib.design.Package

    public class Package

extends java.lang.Object

FILL IN JAVADOC HERE

Author:
  Dean Hiller(dean@xsoftware.biz)

Field Summary
`static java.lang.String` | `DEFAULT`

Constructor Summary
`Package()`

Method Summary
`void` | `addDepends(Depends d)`
`void` | `addUsedDependency(Depends d)`
`Depends[]` | `getDepends()`
`java.lang.String` | `getName()`
`boolean` | `getNeedDepends()`
`java.lang.String` | `getPackage()`
`java.util.Set` | `getUnusedDepends()`
`boolean` | `isIncludeSubpackages()`
`boolean` | `isNeedDeclarations()`
`boolean` | `isUsed()`
`void` | `setIncludeSubpackages(boolean b)`
`void` | `setName(java.lang.String name)`
`void` | `setNeedDeclarations(boolean b)`
`void` | `setNeedDepends(boolean b)`
`void` | `setPackage(java.lang.String pack)`
`void` | `setUsed(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final java.lang.String DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### Package

    public Package()

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setPackage

    public void setPackage(java.lang.String pack)

### getPackage

    public java.lang.String getPackage()

### addDepends

    public void addDepends(Depends d)

### getDepends

    public Depends[] getDepends()

### setIncludeSubpackages

    public void setIncludeSubpackages(boolean b)

  Parameters:
    `b` -

### isIncludeSubpackages

    public boolean isIncludeSubpackages()

  Returns:

### setNeedDeclarations

    public void setNeedDeclarations(boolean b)

  Parameters:
    `b` -

### isNeedDeclarations

    public boolean isNeedDeclarations()

  Returns:

### setNeedDepends

    public void setNeedDepends(boolean b)

  Parameters:
    `b` -

### getNeedDepends

    public boolean getNeedDepends()

### setUsed

    public void setUsed(boolean b)

  Parameters:
    `b` -

### isUsed

    public boolean isUsed()

### addUsedDependency

    public void addUsedDependency(Depends d)

  Parameters:
    `d` -

### getUnusedDepends

    public java.util.Set getUnusedDepends()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD